package whatsapp

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type EditWhatsappTemplateLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewEditWhatsappTemplateLogic(ctx context.Context, svcCtx *svc.ServiceContext) *EditWhatsappTemplateLogic {
	return &EditWhatsappTemplateLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *EditWhatsappTemplateLogic) EditWhatsappTemplate(req *types.EditTemplateReq) (resp *types.BaseDataInfo, err error) {
	// todo: add your logic here and delete this line

	return
}
